
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品收藏信息DTO
 *
 * @author tmerclub
 * @date 2020-11-21 14:43:16
 */
public class SpuCollectionDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "收藏表")
    private Long id;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "用户id")
    private Long userId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "SpuCollectionDTO{" +
                "id=" + id +
                ",spuId=" + spuId +
                ",userId=" + userId +
                '}';
    }
}
